=== shaders/CMakeLists.txt ===
file(GLOB SHADERS_SOURCES *.glsl)

install(
  FILES ${SHADERS_SOURCES}
  DESTINATION "${DATADIR}/shaders"
  COMPONENT core
)
