=== debian/changelog ===
celestia (1.7.0~git20190807+d9746691+0) UNRELEASED; urgency=medium

  * New snapshot build

 -- Hleb Valoshka <375gnu@gmail.com>  Wed, 07 Aug 2019 18:47:48 +0300

celestia (1.6.1+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix mips64(el) build: don't use mips as variable name (Closes: 754266).

 -- YunQiang Su <syq@debian.org>  Thu, 16 Oct 2014 18:21:52 +0800

celestia (1.6.1+dfsg-3) unstable; urgency=low

  [ Julian Taylor ]
  * Fix FTBFS with ld --no-add-needed and --as-needed. Closes: #704538, #713604

  [ Guus Sliepen ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64. Closes: #727845
  * Bump Standards-Version.
  * Add -Wl,--as-needed back.

 -- Guus Sliepen <guus@debian.org>  Sun, 27 Oct 2013 22:54:15 +0100

celestia (1.6.1+dfsg-2) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662285
  * Add missing #include "mathlib.h" to fix FTBFS with gcc-4.7. Closes: #672081
  * Enable locales as early as possible in the GNOME frontend. Unfortunately
    does not seem to close #668234.
  * Use dpkg-buildflags, Build-Depend on dpkg-dev.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 19 May 2012 21:49:43 +0200

celestia (1.6.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that have been applied upstream.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #641096
  * Add patch from Nobuhiro Iwamatsu fixing FTBFS with libpng 1.5.
    Closes: #649551
  * Remove -Wl,--as-needed from the linker flags to ensure it compiles.

 -- Guus Sliepen <guus@debian.org>  Sat, 24 Dec 2011 14:31:06 +0100

celestia (1.6.0+dfsg-4) unstable; urgency=low

  * Add missing Build-Dependencies on libjpeg62-dev and libpng12-dev.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 21:35:45 +0200

celestia (1.6.0+dfsg-3) unstable; urgency=low

  * Remove Build-Dependency on libqt3-mt-dev.
  * Bump Standards-Version. 
  * Make dereferenced temporaries slightly less temporary. Closes: #625014
  * Add Belarusian translation. Closes: #602429

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 20:20:22 +0200

celestia (1.6.0+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove KDE frontend support, thus removing dependency on kde4libs-dev.
    (Closes: #604263, #516238, #527923, #567789, #498941, #604903).
  * Remove KDE 3 related files, as we don't use it anymore:
    - debian/celestia-kde.1
    - debian/celestia-kde.README.Debian
    - debian/celestia-kde.docs
    - debian/celestia-kde.manpages
    - debian/celestia-kde.menu
    - debian/celestia-kde.postinst
    - debian/celiestia-kde.prerm
  * Remove celestia-kde:
    - Remove binary package.
    - Remove celestia-kde from celestia's depends, keeping the order of
      preferences of the rest of the packages.
    - Remove KDE front-end from celestia-glut's description.

  * Modify debian/rules to not build celestia-kde:
    - Remove build-kde from BUILDDIRS.
    - Remove KDE-related commands.

  * Fix build with GCC 4.5 using fix-build-with-gcc-4.5.patch, thanks 
    to Peter Green (Closes: #564970).

  * Add missing -ldl to link against libdl. This is done with 
    add_missing_ldl.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 29 Mar 2011 09:55:40 -0300

celestia (1.6.0+dfsg-2) unstable; urgency=low

  * Apply patch from Alessio Tregliam dropping aRTs support. Closes: #563664
  * Apply patch from Alessio Tregliam fixing the celestia-glut desktop file.
    Closes: #563665
  * Apply patch from Emilio Pozuelo Monfort removing unnecessary
    Build-Dependency on libgnomeuimm-2.6-dev. Closes: #568803
  * Add Norwegian Bokmål translation from Bjørn Steensrud.
    Closes: #572041, #570619
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Aug 2010 21:50:50 +0200

celestia (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #560753
  * Adopt 3.0 (quilt) source format.
  * Bump Standards-Version.
  * Use dh_prep instead of dh_clean -k.
  * Copy config.{sub,guess} from autotools-dev before configuring.
  * Add missing dependencies on ${misc:Depends}.
  * Remove call to dh_desktop.
  * Mangle version in watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Dec 2009 12:50:23 +0100

celestia (1.5.1+dfsg1-2) unstable; urgency=low

  * Remove unused Build-Depends on gtkglarea5-dev. Closes: #516342
  * Make celestia-kde Suggest khelpcenter instead of Depending on it.
    Closes: #506794
  * Add missing includes to fix FTBFS with GCC 4.4. Closes: #504863

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Feb 2009 23:56:59 +0100

celestia (1.5.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove textures and models with unclear license status from the source:
    - maps taken from http://maps.jpl.nasa.gov/
    - models of Toutatis, Kleopatra and Geographos
    Closes: #174456
  * Suggest celestia-common-nonfree package containing the above mentioned
    textures and models.
  * Revert to acinclude.m4 from celestia 1.5.0 in order to build celestia-kde.
  * Use stdint.h for architecture independent data types. Again.
    Closes: #137769

 -- Guus Sliepen <guus@debian.org>  Sat, 17 May 2008 23:09:35 +0200

celestia (1.5.0-3) unstable; urgency=low

  * Correct fix for some min()/max() uses (previous one was only working on 64
    bit architectures).

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 20:49:11 +0200

celestia (1.5.0-2) unstable; urgency=low

  * Add missing includes and fix min()/max() usage necessary for compilation
    with GCC 4.3. Closes: #455417
  * Use the -l option when copying files to the temporary build directories.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 15:38:58 +0200

celestia (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Sync with Ubuntu hardy (see changelog entries below).
  * Add calls to dh_icons and dh_desktop in debian/rules.

