=== debian/watch ===
version=3
https://github.com/CelestiaProject/Celestia/tags .*/([\d.]+)\.tar\.gz
