=== extras/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(EXTRA_SOURCES
)

install(FILES ${EXTRA_SOURCES} DESTINATION "${DATADIR}/extras" COMPONENT extras)
