=== debian/changelog ===
celestiacontent (1:1.0~git20241113+5c493979+0) UNRELEASED; urgency=medium

  * New snapshot build.
  * Remove old enties from the changelog.
  * Change version to 1.0 and bump epoch.
  * Split textures to own packages.

 -- Hleb Valoshka <375gnu@gmail.com>  Sat, 08 Jan 2022 17:39:22 +0200

celestiacontent (1.7.0~git20211202+668347e9+0) bionic; urgency=medium

  * New snapshot build
  * Install translations for celestia-data.

 -- Hleb Valoshka <375gnu@gmail.com>  Thu, 02 Dec 2021 11:09:22 +0200
